Package com.avaya.clientservices.call

## Enum ConferenceConnectionError

- java.lang.Object
- - java.lang.Enum<ConferenceConnectionError>
  - - com.avaya.clientservices.call.ConferenceConnectionError

- All Implemented Interfaces:
    `java.io.Serializable`, `java.lang.Comparable<ConferenceConnectionError>`

      public enum ConferenceConnectionError
      extends java.lang.Enum<ConferenceConnectionError>

  Conference connection related error codes.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant | Description
    --- | ---
    `COLLABORATION_FAILED` | Collaboration error.
    `CONNECTION_FAILED` | Connection has failed.
    `CONNECTION_FAILED_TO_RECOVER` | Attempts to recover connection to conference server have failed.
    `INVALID_CERTIFICATE` | Certificate is invalid.
    `NETWORK_NOT_AVAILABLE` | Network is not available.
    `PROXY_AUTHENTICATION_ERROR` | The authentication credentials provided for logging into the proxy were rejected.
    `PROXY_CONNECTION_ERROR` | A connection could not be established to the proxy server.
    `SUCCESS` | Operation completed successfully.
    `UNKNOWN` | Unknown error.

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `static ConferenceConnectionError` | `valueOf​(java.lang.String name)` | Returns the enum constant of this type with the specified name.
    `static ConferenceConnectionError[]` | `values()` | Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `compareTo, equals, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### SUCCESS

          public static final ConferenceConnectionError SUCCESS

      Operation completed successfully. This return code is not used.

    - #### NETWORK_NOT_AVAILABLE

          public static final ConferenceConnectionError NETWORK_NOT_AVAILABLE

      Network is not available.

    - #### CONNECTION_FAILED

          public static final ConferenceConnectionError CONNECTION_FAILED

      Connection has failed.

    - #### INVALID_CERTIFICATE

          public static final ConferenceConnectionError INVALID_CERTIFICATE

      Certificate is invalid.

    - #### COLLABORATION_FAILED

          public static final ConferenceConnectionError COLLABORATION_FAILED

      Collaboration error.

    - #### PROXY_CONNECTION_ERROR

          public static final ConferenceConnectionError PROXY_CONNECTION_ERROR

      A connection could not be established to the proxy server.

    - #### PROXY_AUTHENTICATION_ERROR

          public static final ConferenceConnectionError PROXY_AUTHENTICATION_ERROR

      The authentication credentials provided for logging into the proxy were rejected.

    - #### CONNECTION_FAILED_TO_RECOVER

          public static final ConferenceConnectionError CONNECTION_FAILED_TO_RECOVER

      Attempts to recover connection to conference server have failed. The SDK will not be able to support conference call features for the conference call.

    - #### UNKNOWN

          public static final ConferenceConnectionError UNKNOWN

      Unknown error.

  - ### Method Detail

    - #### values

          public static ConferenceConnectionError[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (ConferenceConnectionError c : ConferenceConnectionError.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static ConferenceConnectionError valueOf​(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null